package gssim.db.config;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.ArrayList;

public class MySQLConfig extends Config {

	/** Constructor to fill db data from properties file */
	public MySQLConfig(String propertiesPath) throws FileNotFoundException,
			IOException {
		super(propertiesPath);
		
		initParameters(1);
	}

	/** Constructor to fill db data from encrypted properties file */
	public MySQLConfig(String encryptedPropertiesPath, String keyPath)
			throws FileNotFoundException, IOException {
		super(encryptedPropertiesPath, keyPath);
		
		initParameters(1);
		
		System.out.println(user);
		System.out.println(password);
		System.out.println(db);
	}

	public MySQLConfig() {
		user = "root";
		password = null;
		db = "localhost:3306/gssim_results";
		
		initParameters(1);
	}

	private void initParameters(Integer simulationRun) {
		initFileNames(simulationRun);

		extractDirectoryPath = null;

		propertiesIgnoreKeys = new ArrayList<String>();

		//why this is specific to MySQLConfig implementation?
		propertiesIgnoreKeys.add("createstatistics.formatoutput");
		propertiesIgnoreKeys.add("printhistory");
		propertiesIgnoreKeys.add("readscenario.inputfolder");
		propertiesIgnoreKeys.add("stats.outputfolder");
		propertiesIgnoreKeys.add("user.dn");
		propertiesIgnoreKeys.add("experiment.id");
	}

}
