package gssim.db.reader;

import java.sql.Timestamp;

/**
 * 
 * @author Jarek Szymczak
 * 
 */
public class NetworkReader extends StatsReader {

	private NetworkLinks networkLinks = new NetworkLinks();
	private NetworkReservations networkReservations = new NetworkReservations();
	private NetworkReservationsTasks networkReservationsTasks = new NetworkReservationsTasks();

	public NetworkReader(StatsParser p) {
		super(p);
	}

	public String getFirstColumnString() {
		return this.values[0];
	}

	public NetworkLinks getNetworkLinks() {
		return networkLinks;
	}

	public NetworkReservations getNetworkReservations() {
		return networkReservations;
	}
	
	public NetworkReservationsTasks getNetworkReservationsTasks() {
		return networkReservationsTasks;
	}

	public class NetworkLinks {

		public String getLinkName() {
			return values[0];
		}

		public String getBaudRate() {
			return values[1];
		}

		public String getDelay() {
			return values[2];
		}

		public String getSizeOfTransmittedData() {
			return values[3];
		}

		public Double getLoad() {
			return getAsDouble(4);
		}

		public Double getResevationLoad() {
			return getAsDouble(5);
		}
	}

	public class NetworkReservations {

		public Integer getReservaionId()
		{
			return getAsInt(0);
		}
		
		public String getLinks() {
			return values[1];
		}

		public Timestamp getReservStartDate() {
			return new Timestamp(getAsLong(2));
		}

		public Timestamp getReservFinishDate() {
			return new Timestamp(getAsLong(3));
		}

		public String getBandwidth() {
			return values[4];
		}

		public String getSizeOfTransmittedData() {
			return values[5];
		}

		public String getLoad() {
			return values[6];
		}

		public String getReservationStatus() {
			return values[7];
		}
	}

	public class NetworkReservationsTasks {

		public Integer getJobID() {
			return getAsInt(0);
		}

		public Integer getTaskID() {
			return getAsInt(1);
		}

		public Integer getReservationID() {
			return getAsInt(6);
		}
	}
}